library color_to_material;

import 'package:flutter/material.dart';

class ColorToMaterial {
  Color _color;
  int red, green, blue, alpha;

  ColorToMaterial(Color color) {
    this._color = color;
    this.alpha = color.alpha;
    this.red = color.red;
    this.blue = color.blue;
    this.green = color.green;
  }

  factory ColorToMaterial.fromHEX(String hex) {
    int hexColor = int.parse('0xFF$hex');
    return ColorToMaterial(Color(hexColor));
  }

  MaterialColor getMaterialColor() {
    Map<int, Color> map = {
      50: Color.fromRGBO(red, green, blue, .1),
      100: Color.fromRGBO(red, green, blue, .2),
      200: Color.fromRGBO(red, green, blue, .3),
      300: Color.fromRGBO(red, green, blue, .4),
      400: Color.fromRGBO(red, green, blue, .5),
      500: Color.fromRGBO(red, green, blue, .6),
      600: Color.fromRGBO(red, green, blue, .7),
      700: Color.fromRGBO(red, green, blue, .8),
      800: Color.fromRGBO(red, green, blue, .9),
      900: Color.fromRGBO(red, green, blue, 1),
    };
    MaterialColor material = MaterialColor(this.color.value, map);
    return material;
  }

  Color get color {
    return _color;
  }
}
